SequenceFileOutputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.output
Class SequenceFileOutputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.OutputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.output.SequenceFileOutputFormat<K,V>

Direct Known Subclasses:
  SequenceFileAsBinaryOutputFormat

    public class SequenceFileOutputFormat<K,V>

extends FileOutputFormat<K,V>

An `OutputFormat` that writes `SequenceFile`s.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`FileOutputFormat.Counter`

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`BASE_OUTPUT_NAME, PART`

Constructor Summary
`SequenceFileOutputFormat()`

Method Summary
`static SequenceFile.CompressionType` | `getOutputCompressionType(JobContext job)` Get the `SequenceFile.CompressionType` for the output `SequenceFile`.
`RecordWriter<K,V>` | `getRecordWriter(TaskAttemptContext context)` Get the `RecordWriter` for the given task.
`static void` | `setOutputCompressionType(Job job, SequenceFile.CompressionType style)` Set the `SequenceFile.CompressionType` for the output `SequenceFile`.

Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileOutputFormat

    public SequenceFileOutputFormat()

Method Detail

### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(TaskAttemptContext context)
                                      throws IOException,
                                             InterruptedException

  Description copied from class: `OutputFormat`
  Get the `RecordWriter` for the given task.

  Specified by:
    `getRecordWriter` in class `FileOutputFormat<K,V>`
  Parameters:
    `context` - the information about the current task.
  Returns:
    a `RecordWriter` to write the output for the job.
  Throws:
    `IOException`
    `InterruptedException`

### getOutputCompressionType

    public static SequenceFile.CompressionType getOutputCompressionType(JobContext job)

  Get the `SequenceFile.CompressionType` for the output `SequenceFile`.

  Parameters:
    `job` - the `Job`
  Returns:
    the `SequenceFile.CompressionType` for the output `SequenceFile`, defaulting to `SequenceFile.CompressionType.RECORD`

### setOutputCompressionType

    public static void setOutputCompressionType(Job job,
                                                SequenceFile.CompressionType style)

  Set the `SequenceFile.CompressionType` for the output `SequenceFile`.

  Parameters:
    `job` - the `Job` to modify
    `style` - the `SequenceFile.CompressionType` for the output `SequenceFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation